# Namespace: mitb

## mitb

Source:
  - mitb.js, line 7

### Methods

#### (static) endSession()

Signals the Framework that the user has lost the hook

Source:
  - mitb.js, line 241

#### (static) fetch()

Fetches a hooked link with AJAX

Source:
  - mitb.js, line 181

#### (static) fetchForm()

Fetches a hooked form with AJAX

Source:
  - mitb.js, line 161

#### (static) fetchOnclick()

Fetches a window.location=http://domainname.com and setting up history

Source:
  - mitb.js, line 202

#### (static) hook()

Initializes the hook on anchors and forms.

Source:
  - mitb.js, line 68

#### (static) init()

Initializes

Source:
  - mitb.js, line 16

#### (static) poisonAnchor()

Hooks anchors and prevents them from linking away

Source:
  - mitb.js, line 99

#### (static) poisonForm()

Hooks forms and prevents them from linking away

Source:
  - mitb.js, line 118

#### (static) sniff()

Relays an entry to the framework

Source:
  - mitb.js, line 232